# coding=utf-8

import django_filters

from apps.tenant.device.models import DeviceModel


class DeviceFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    device_no = django_filters.CharFilter(field_name='device_no', lookup_expr='icontains')
    device_model = django_filters.CharFilter(field_name='device_model', lookup_expr='icontains')

    class Meta:
        model = DeviceModel
        fields = '__all__'
